module AR
  module Game

    class ChitinShield < Shield
      def initialize id=nil
        super 
        #add_behavior AR::Game::SomeBehavior
        add_story_implement StoryImplement.new
        self.block_rating = 4
        self.noun = "chitin shield"
        self.slot = :off_hand

      end


      #sort of just a way to 'include' these classes, so you don't
      #need to fully qualify them.  There must be a better way...
      class Story < AR::Game::StoryBehavior::Story
      end
      class StoryImplement < AR::Game::StoryBehavior::StoryImplement
        def initialize stories=[]
          super
          #add stories like this:
          #s = Story.new when: AR::Events::Event, as: "participant" do |e|
          #end
          #add_story s
        end
      end

    end



  end
end

